Skip to main content

Performance Chart

You can access your application's performance chart via the Aptoide Connect Developer Console or programmatically through this API endpoint.

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/applications/{applicationName}/statistics/chart

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

⚠️
Account type required

Performance data can only be retrieved by accounts of type Developer.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
applicationNamestringThe unique package name of the application (e.g., com.example.test).

Query Parameters

ParameterTypeRequiredDescription
typestring (YYYY-MM-DD)RequiredFilters the data by type. Possible values: revenue, installs, or downloads.
fromstring (YYYY-MM-DD)RequiredStart date of the time range for retrieving statistics. Must not be earlier than 6 months before the current date. Example: 2024-01-01.
tostring (YYYY-MM-DD)RequiredEnd date of the time range for retrieving statistics. Example: 2024-01-31.
aggregationstringOptional (default: day)Aggregates the data by the selected period. Possible values:month, or day.
countryCodesstringOptionalFilter by one or more countries using ISO 3166-1 alpha-2 codes. Multiple codes must be separated by commas. Example: PT,US.
partnerAccountUidsstringOptionalFilter by one or more partner account UIDs. Multiple UIDs must be separated by commas. See partner list here. Example: b25f95eb-5da9-43a6-b24a-9096c7ecfcb8.
amountTypestringOptional (default: wallet)Specifies whether to return net or gross revenue. Only applicable when type is revenue. Possible values: wallet (net value) or global (gross value).

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns a performance chart object containing aggregated data according to your query parameters.

Example Responses

Type: revenue

{
"datasets": [
{
"data": [
{
"arppu": 1.374375,
"arpt": 0.6467647058823529,
"transactions": 17,
"users": 8,
"volume": 10.995,
"volumeInUsd": 10.995
},
{
"arppu": 0.505,
"arpt": 0.505,
"transactions": 6,
"users": 6,
"volume": 3.03,
"volumeInUsd": 3.03
},
{
"arppu": 0,
"arpt": 0,
"transactions": 0,
"users": 0,
"volume": 0,
"volumeInUsd": 0
},
{
"arppu": 0,
"arpt": 0,
"transactions": 0,
"users": 0,
"volume": 0,
"volumeInUsd": 0
},
{
"arppu": 1.753125,
"arpt": 0.6875,
"transactions": 51,
"users": 20,
"volume": 35.0625,
"volumeInUsd": 35.0625
}
],
"identifiers": null
}
],
"labels": [
"2023-11-30",
"2023-12-01",
"2023-12-02",
"2023-12-03",
"2023-12-04"
],
"totals": {
"arppu": 1.63625,
"arpt": 0.6633445945945946,
"raw": {
"arppu": 1.63625,
"arpt": 0.6633445945945946,
"transactions": 74,
"usd_revenue": 49.0875,
"wallets": 30
},
"transactions": 74,
"users": 30,
"volume": 49.0875,
"volumeInUsd": 49.0875
}
}

Type: downloads

{
"datasets": [
{
"data": [
{
"total": 10
},
{
"total": 20
},
{
"total": 0
},
{
"total": 30
},
{
"total": 0
}
],
"identifiers": {}
}
],
"labels": [
"2023-11-30",
"2023-12-01",
"2023-12-02",
"2023-12-03",
"2023-12-04"
],
"totals": {
"total": 60
}
}